Search for a person by name, phone number, and address
Retrieve person information based on the provided query parameters. This endpoint accepts a person query request and returns full details for up to the top 15 matching persons from Whitepages data.
Authorization
ApiKeyAuth API key for authentication. Get your key from the Whitepages developer portal.
In: header
Query Parameters
Phone number to search for a person by
"(216) 676-6366""216-676-6366""2166766366""+1-800-676-6366"Full name, first name, last name, or partial name match for the person
"Marsha Mellow""Marsha""Mellow""Smith"First name of the person. Cannot be used with 'name' parameter.
"Marsha""John"Middle name of the person. Cannot be used with 'name' parameter.
"Ann""Michael"Last name of the person. Cannot be used with 'name' parameter.
"Mellow""Smith"Full or partial street address including street number, name
"123 Main St""Main Street"Full city name
"Anytown""Seattle""Los Angeles"2-Letter code representing a state name
"CA""NY""WA"Full 5-digit ZIP code
"94102""98101"Include historical addresses in search. When false (default), only current addresses are included.
falsetrueMinimum age of the person to search for, must be between 18 and 65
182530Maximum age of the person to search for, must be between 18 and 65
6580100Search radius in miles for distance-based filtering
2.5510Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.whitepages.com/v1/person/"[
{
"id": "string",
"name": "string",
"aliases": [
"string"
],
"is_dead": true,
"current_addresses": [
{
"id": "string",
"address": "string",
"latlong": {
"lat": 0,
"lng": 0
},
"score": 0
}
],
"historic_addresses": [
{
"id": "string",
"address": "string",
"latlong": {
"lat": 0,
"lng": 0
},
"score": 0
}
],
"owned_properties": [
{
"id": "string",
"address": "string"
}
],
"phones": [
{
"number": "string",
"type": "mobile",
"score": 0
}
],
"emails": [
"string"
],
"date_of_birth": "string",
"linkedin_url": "string",
"company_name": "string",
"job_title": "string",
"relatives": [
{
"id": "string",
"name": "string"
}
]
}
]{
"error": {
"code": 400,
"message": "Bad Request",
"long_message": "Invalid person ID format: 'sdf'. Person ID must start with 'P' followed by exactly 10 alphanumeric characters. Example: 'PABcd12345e' or 'P1234567890'.",
"meta": null
},
"wp_trace_id": "3b0b537a60d84057817bb40563ca5c99"
}{
"message": "Forbidden"
}{
"error": {
"code": 400,
"message": "Short error message",
"long_message": "The request was malformed",
"meta": {
"field": "email",
"validation_error": "Invalid email format"
}
},
"wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"message": "Too Many Requests"
}{
"error": {
"code": 400,
"message": "Short error message",
"long_message": "The request was malformed",
"meta": {
"field": "email",
"validation_error": "Invalid email format"
}
},
"wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}Support & Incident Response
Learn about our support channels, incident response times, breaking change policies, and how we communicate critical updates.
Gets person details by id GET
Retrieve detailed person information by Whitepages person ID. This endpoint accepts a valid Whitepages person ID in the path parameter and returns the complete person record if the ID exists in our data.